5 CLS
10 CLEAR
20 LOCATE 12, 15: PRINT "CAIDA DE PRESION EN TUBERIAS ( GASES )"
25      FOR X = 1 TO 25000: NEXT X
28 CLS
30 LOCATE 5, 15: PRINT "INTRODUZCA LAS CONDICIONES GENERALES DE PROCESO..."
32 LPRINT TAB(10); "CONDICIONES GENERALES DE PROCESO..."
34 LPRINT TAB(10); STRING$(70, 45)
36 LPRINT TAB(10); STRING$(70, 45)
40 LOCATE 10, 10: INPUT "FLUJO MASICO W (LB/HR)......................="; W
42 LPRINT TAB(10); "FLUJO MASICO W (LB/HR)...........................="; W
50 LOCATE 12, 10: INPUT "TEMPERATURA T (RANKINE).....................="; T
52 LPRINT TAB(10); "TEMPERATURA (G. RANKINE).........................="; T
60 LOCATE 14, 10: INPUT "LONG. TOT. (TMOS. RECTOS + ACCS.), L(FT)....="; L
62 LPRINT TAB(10); "LONG. TOT. (TMOS. RESCTOS + ACCS.), L(FT)........="; L
70 LOCATE 16, 10: INPUT "PESO MOLECULAR (MW).........................="; MW
72 LPRINT TAB(10); "PESO MOLECULAR (MW)..............................="; MW
80 LOCATE 18, 10: INPUT "RELACION DE CAPS. CAL. (K=CP/CV)............="; K
82 LPRINT TAB(10); "RELACION DE CAPS. CAL. (K=CP/CV).................="; K
90 LOCATE 20, 10: INPUT "VISCOSIDAD, MU (cP).........................="; MU
92 LPRINT TAB(10); "VISCOSIDAD, MU (cP)..............................="; MU
94 LPRINT TAB(10); STRING$(70, 45)
96 LPRINT TAB(10); STRING$(70, 45)
98 CLS
100 LOCATE 5, 25: PRINT "SELECCIONE..."
110 LOCATE 10, 10: PRINT "1.- SI SE CONOCE LAS CONDICIONES DE ENTRADA"
120 LOCATE 12, 10: PRINT "2.- SI SE CONOCEN LAS CONDICIONES DE SALIDA"
130 LOCATE 14, 10: INPUT "SELECCION.....="; CL
140     IF CL = 1 THEN GOTO 180
150     IF CL = 2 THEN GOTO 220
155 CLS
160 LOCATE 10, 10: PRINT "SELECCION ERRONEA, DEFINALA NUEVAMENTE"
165     FOR X = 1 TO 25000: NEXT X
170     GOTO 100
180 CLS
185 LOCATE 10, 10: PRINT "INTRODUZCA LAS SIGUIENTES CONDICIONES INICIALES..."
190 LOCATE 12, 10: INPUT "PRESION INICIAL, P1 (PSIA).............="; P
200 LOCATE 14, 10: INPUT "FACT. DE COMP. INICIAL, Z1.............="; Z
205 CLS
210     GOTO 250
220 CLS
225 LOCATE 10, 10: PRINT "INTRODUZCA LAS SIGUIENTES CONDICIONES FINALES..."
230 LOCATE 12, 10: INPUT "PRESION FINAL, P2 (PSIA)...............="; P
240 LOCATE 14, 10: INPUT "FACT. DE COMP. FINAL, Z2...............="; Z
250     RHO = (P * MW) / (Z * 10.73 * T)
260     W1 = W / 1000
270     X1 = ((W1 / RHO) ^ .5)
280     X2 = ((MW / (K * Z * T)) ^ .25)
290     DM = (.827 * X1 * X2)
295 CLS
300 LOCATE 10, 10: PRINT "DIAMETRO MINIMO ESTIMADO (IN)..........="; DM
310 LOCATE 14, 10: INPUT "ESTABLEZCA UN DIAM. NOM. MAYOR (IN)....="; DN
320     A = (3.1416 * ((DN / 12) ^ 2)) / 4
330     VA = W / (RHO * A)
340     V = VA / 3600
350     MA = (W / (P * A))
360     MB = ((Z * T) / MW) ^ .5
370     M = 1.336 * (10 ^ (-5)) * MA * MB
380     IF CL = 1 THEN GOTO 420
390     IF M < .7 THEN GOTO 420
400 CLS
405 LOCATE 14, 10: PRINT "EL NUMERO DE MACH EN LA SALIDA ES MAYOR A 0.7..."
406     FOR X = 1 TO 25000: NEXT X
408 CLS
410     GOTO 310
420 CLS
425 LOCATE 14, 10: INPUT "DEFINA LA RUGOSIDAD ABSOLUTA DEL TUBO (RG=0.0018 IN)...="; RG
430     NRE = (123.9 * DN * V * RHO) / MU
440     BF = (37530 / NRE) ^ 16
450     A1 = (7 / NRE) ^ .9
460     A2 = (.27 * RG) / DN
470     A3 = LOG(1 / (A1 + A2))
480     AF = (2.457 * A3) ^ 16
490     F1 = (8 / NRE) ^ 12
500     F2 = 1 / ((AF + BF) ^ 1.5)
510     F3 = (F1 + F2) ^ (1 / 12)
520     FD = (8 * F3 * 1.1)
530     IF CL = 1 THEN GOTO 550
540     IF CL = 2 THEN GOTO 730
550     R = 1.5
555     FOR X = 1 TO 50
560     Y1 = (FD * L) / (DN / 12)
570     Y2 = (M ^ 2) * Y1
580     Y3 = ((M ^ 2) * (LOG(R ^ 2)))
590     Y4 = (1 / (R ^ 2))
600     FR = 1 - Y2 - Y3 - Y4
610     DFR = (2 / (R ^ 3)) - ((2 * (M ^ 2)) / R)
620     RN = R - (FR / DFR)
630     IF (ABS(RN - R)) <= .000001 THEN GOTO 660
640     R = RN
650     NEXT X
660     M2 = RN * M
670     IF M2 < .7 THEN GOTO 700
680     LOCATE 10, 10: PRINT "EL NUMERO DE MACH EN LA SALIDA ES MAYOR A 0.7..."
684     FOR X = 1 TO 25000: NEXT X
686 CLS
690     GOTO 310
700     P2 = P / R
704     RHO2 = (P2 * MW) / (Z * 10.73 * T)
706     V2 = (W / (RHO2 * A)) / 3600
710     DP = P - P2
720     GOTO 880
730     R = 1.5
740     FOR X = 1 TO 50
750     Y1 = (FD * L) / (DN / 12)
760     Y2 = (M ^ 2) * Y1
770     Y3 = (M ^ 2) * (LOG(R ^ 2))
780     FR = (R ^ 2) - Y2 - Y3 - 1
790     DFR = (2 * R) - ((2 * (M ^ 2)) / R)
800     RN = R - (FR / DFR)
810     IF (ABS(RN - R)) <= .000001 THEN GOTO 840
820     R = RN
830     NEXT X
840     M1 = M / RN
850     P1 = P * RN
854     RHO1 = (P1 * MW) / (Z * 10.73 * T)
856     V1 = (W / (RHO1 * A)) / 3600
860     DP = P1 - P
870     GOTO 990
880     LPRINT TAB(10); "     RESULTADOS CONDICIONES INICIALES      "
881     LPRINT TAB(10); STRING$(70, 45)
882     LPRINT TAB(10); STRING$(70, 45)
883     LPRINT TAB(10); "VELOCIDAD , V1 (FT/SEG)...................="; V
884     LPRINT TAB(10); "DENSIDAD, RHO1 (LB/FT^3)..................="; RHO
890     LPRINT TAB(10); "NUMERO DE MACH, M1........................="; M
900     LPRINT TAB(10); "PRESION, P1 (PSIA)........................="; P
902     LPRINT TAB(10); STRING$(70, 45)
904     LPRINT TAB(10); STRING$(70, 45)
910     LPRINT TAB(10); "     CONDICIONES FINALES      "
912     LPRINT TAB(10); "VELOCIDAD, V2 (FT/SEG)....................="; V2
914     LPRINT TAB(10); "DENSIDAD, RHO2 (LB/FT^3)..................="; RHO2
920     LPRINT TAB(10); "NUMERO DE MACH, M2........................="; M2
930     LPRINT TAB(10); "PRESION,P2 (PSIA).........................="; P2
932     LPRINT TAB(10); STRING$(70, 45)
934     LPRINT TAB(10); STRING$(70, 45)
940     LPRINT TAB(10); "      RESULTADOS CONDICIONES GENERALES     "
950     LPRINT TAB(10); "NUMERO DE REYNOLDS........................="; NRE
960     LPRINT TAB(10); "FACTOR DE FRICCION, FD....................="; FD
970     LPRINT TAB(10); "CAIDA DE PRESION TOTAL (PSI)..............="; DP
972     LPRINT TAB(10); "DIAMETRO REQUERIDO (IN)...................="; DN
974 CLS
975 LOCATE 10, 15: PRINT "SELECCIONE....."
976 LOCATE 14, 10: PRINT "1.-SI EL DIAMETRO YA ES CORRECTO"
978 LOCATE 16, 10: PRINT "2.-SI HAY QUE RECALCULAR PARA LAS MISMAS CONDICIONES"
980 LOCATE 22, 15: INPUT "SELECCION.....="; K1
982     IF K1 = 1 THEN GOTO 988
983     IF K1 = 2 THEN GOTO 295
984 CLS
985 LOCATE 10, 15: PRINT "SELECCION ERRONEA, DEFINALA NUEVAMENTE"
986     FOR X = 1 TO 25000: NEXT X
987     GOTO 974
988     CLS : LOCATE 10, 15: PRINT "FIN DE PROGRAMA"
989     END
990 LPRINT TAB(10); "     RESULTADOS CONDICIONES INICIALES     "
991 LPRINT TAB(10); STRING$(70, 45): LPRINT TAB(10); STRING$(70, 45)
992 LPRINT TAB(10); "VELOCIDAD, V1 (FT/SEG).......................="; V1
994 LPRINT TAB(10); "DENSIDAD,RHO1 (LB/FT^3)......................="; RHO1
1000 LPRINT TAB(10); "NUMERO DE MACH, M1..........................="; M1
1010 LPRINT TAB(10); "PRESION, P1 (PSIA)..........................="; P1
1012 LPRINT TAB(10); STRING$(70, 45)
1014 LPRINT TAB(10); STRING$(70, 45)
1020 LPRINT TAB(10); "    RESULTADOS CONDICIONES FINALES      "
1021 LPRINT TAB(10); STRING$(70, 45): LPRINT TAB(10); STRING$(70, 45)
1022 LPRINT TAB(10); "VELOCIDAD, V2 (FT/SEG)......................="; V
1024 LPRINT TAB(10); "DENSIDAD,RHO2 (LB/FT^3).....................="; RHO
1030 LPRINT TAB(10); "NUMERO DE MACH, M2..........................="; M
1040 LPRINT TAB(10); "PRESION,P2 (PSIA)...........................="; P
1042 LPRINT TAB(10); STRING$(70, 45)
1044 LPRINT TAB(10); STRING$(70, 45)
1050 LPRINT TAB(10); "     RESULTADOS CONDICIONES GENERALES     "
1052 LPRINT TAB(10); STRING$(70, 45)
1054 LPRINT TAB(10); STRING$(70, 45)
1060 LPRINT TAB(10); "NUMERO DE REYNOLDS..........................="; NRE
1070 LPRINT TAB(10); "FACOR DE FRICCION, FD.......................="; FD
1080 LPRINT TAB(10); "CAIDA DE PRESION TOTAL (PSIA)...............="; DP
1090 LPRINT TAB(10); "DIAMETRO REQUERIDO (IN).....................="; DN
1100 CLS
1105 LOCATE 10, 15: PRINT "SELECCIONE....."
1110 LOCATE 14, 10: PRINT "1.-SI EL DIAMETRO YA ES CORRECTO"
1120 LOCATE 18, 10: PRINT "2.-SI HAY QUE RECALCULAR PARA LAS MISMAS CONDICIONES"
1130 LOCATE 22, 10: INPUT "SELECCION.....="; K1
1140    IF K1 = 1 THEN GOTO 1172
1150    IF K1 = 2 THEN GOTO 295
1152 CLS
1160 LOCATE 10, 15: PRINT "SELECCION ERRONEA, DEFINALA NUEVAMENTE"
1162    FOR X = 1 TO 25000: NEXT X
1170    GOTO 1100
1172 CLS
1180 LOCATE 10, 15: PRINT "FIN DE PROGRAMA"
1190    END


