10 CLS
20 LOCATE 12, 25: PRINT "CALCULO DE LINEAS QUE TRANSPORTAN PASTAS (SLURRY TRANSPORT)"
30 FOR X = 1 TO 25000: NEXT X
40 CLS
50 CLEAR
70 LOCATE 8, 15: INPUT "DIAMETRO INTERNO DE LA TUBERIA ( cm ).....="; DI
80 LOCATE 10, 15: INPUT "DENSIDAD DEL FLUIDO ( g/cm^3 )...........="; RHOF
90 LOCATE 12, 15: INPUT "VISCOSIDAD DEL FLUIDO ( cP )..............="; MU1
95       MU = MU1 * .01
100 LOCATE 14, 15: INPUT "DENSIDAD DE LA PARTICULA ( g/cm^3 )......="; RHOP
110 LOCATE 16, 15: INPUT "CONC. VOL. DEL SOLIDO (EJEM. 20%=0.2).....="; CV
120 LOCATE 18, 15: INPUT "VEL. RECOMENDADA DE LA SUSPENSION ( cm/seg )="; VEL
130 LOCATE 20, 15: INPUT "RUGOSIDAD DE LA TUBERIA ( cm )............="; RUG
140 CLS
150 LOCATE 10, 25: PRINT "SE PUEDEN CONSIDERAR A LAS PARTICULAS DEL SOLIDO COMO PEQ. ESFERAS?"
160 LOCATE 12, 15: PRINT "1.- SI SE PUEDE"
170 LOCATE 14, 15: PRINT "2.- NO SE PUEDE"
180 LOCATE 16, 25: INPUT "ESPECIFIQUE OPCION.....="; SEL
190 CLS
200     IF SEL = 1 THEN GOTO 330
210     IF SEL = 2 THEN GOTO 260
220 LOCATE 12, 25: PRINT "SELECCION ERRONEA, DEFINALA NUEVAMENTE"
230 FOR X = 1 TO 25000: NEXT X
240 CLS
250     GOTO 150
260 LOCATE 10, 15: INPUT "AREA SUPERFICIAL PROYECTADA DE LA PARTICULA (cm^2)..="; ASP
270 LOCATE 12, 15: INPUT "ESPESOR DE LA PARTICULA (cm).....="; TCK
275 CLS
280     DP = ((ASP * 4) / 3.1416) ^ .5
290     FK = (ASP * TCK) / (DP ^ 3)
300     NGA1 = ((4 * FK) / 3.1416) * (DP ^ 3) * RHOF * 980 * (RHOP - RHOF)
310     NGA = (NGA1 / (MU ^ 2)) * (3 / 2)
320     GOTO 360
330 LOCATE 10, 15: INPUT "INTRODUCIR EL DIAM. DE PARTICULA ( cm ).....="; DP
340 CLS
350     NGA = ((DP ^ 3) * RHOF * 980 * (RHOP - RHOF)) / (MU ^ 2)
360     IF NGA <= 3.6 THEN GOTO 390
370     IF NGA <= 100000 THEN GOTO 410
380     GOTO 510
390     NRET = NGA / 18
400     GOTO 520
410     NRET = 500
420     FOR X = 1 TO 30
430     NR1 = (2.7 * (NRET ^ 1.687)) + (18 * NRET) - NGA
440     DFNR = (4.559 * (NRET ^ .687)) + 18
450     NRTN = NRET - (NR1 / DFNR)
460     IF ((ABS(NRTN - NRET)) <= .0001) THEN GOTO 490
470     NRET = NRTN
480     NEXT X
490     NRET = NRTN
500     GOTO 520
510     NRET = (NGA * 3) ^ .5
520     VT = (NRET * MU) / (RHOF * DP)
530     FRE1 = VT / (980 * DI * ((RHOP / RHOF) - 1)) ^ .5
540     FRP = VEL / (980 * DP * ((RHOP / RHOF) - 1)) ^ .5
550 LOCATE 10, 15: PRINT "NUMERO DE FROUDE TERMINAL (Fr*)......="; FRE1
560 LOCATE 12, 15: PRINT "No. DE FROUDE DE LA PARTICULA (Frp)...="; FRP
570 LOCATE 14, 15: INPUT "CON BASE EN LOS Nos. ANTERIORES DEFINA LA RELACION DE VEL.(vrel/v)...="; V1V2
580 CLS
590     X0 = (V1V2 ^ 2) / (1 - V1V2)
600     IF CV <= .25 THEN GOTO 660
610     IF CV <= .4 THEN GOTO 680
620 LOCATE 10, 15: PRINT "CONC. VOLUMETRICA FUERA DE RANGO (Cv max<=0.4)...="; CV
630     FOR X = 1 TO 25000: NEXT X
640 CLS
650     GOTO 1210
660     XE = X0
670     GOTO 700
680     ADF = .1 * (FRE1 ^ 2)
690     XE = X0 + (ADF * (CV - .25))
700     DPP = XE * CV * (RHOP - RHOF) * 980 * ((VEL / VT) ^ 2)
710     NRE = (RHOF * VEL * DI) / MU
720     B = (37530 / NRE) ^ 16
730     A1 = (7 / NRE) ^ .9
740     A2 = .27 * (RUG / DI)
745     A3 = LOG(1 / (A1 + A2))
750     A = (2.457 * A3) ^ 16
760     F = (((8 / NRE) ^ 12) + ((A + B) ^ (-1.5))) ^ (1 / 12)
770     DPF = (4 * F * RHOF * (VEL ^ 2)) / DI
780     DPUNO = DPP + DPF
790     DP100 = DPUNO * .044235
800 LOCATE 10, 15: INPUT "INTRODUCIR LA LONG POR TMOS. RECTOS DE TUBERIA (FT)...="; LTR
810 LOCATE 12, 15: INPUT "INTRODUCIR LA SUMATORIA DE L/D POR ACCESORIOS...="; LDT
820 CLS
830     LEQT = (LDT * (DI / 2.54)) / 12
840     DPTR = (DP100 * LTR) / 100
850     DPLD = (DP100 * LEQT) / 100
860     DPT = DPLD + DPTR
870 LPRINT TAB(15); "----------DATOS GENERALES DE ENTRADA---------"
880 LPRINT TAB(10); STRING$(70, 45)
890 LPRINT TAB(10); STRING$(70, 45)
900 LPRINT TAB(10); "DIAMETRO INTERNO DE LA TUBERIA ( cm ).............="; DI
910 LPRINT TAB(10); "DENSIDAD DEL FLUIDO ( g/cm^3 )....................="; RHOF
920 LPRINT TAB(10); "VISCOSIDAD DEL FLUIDO ( cP )......................="; MU1
930 LPRINT TAB(10); "DENSIDAD DE LA PARTICULA (g/cm^3 )................="; RHOP
940 LPRINT TAB(10); "CONC. VOL. DEL SOLIDO ( Cv ).......... %..........="; CV
950 LPRINT TAB(10); "VEL. RECOMENDADA DE LA SUSPENSION ( cm/seg )......="; VEL
960 LPRINT TAB(10); "RUGOSIDAD DE LA TUBERIA ( cm )....................="; RUG
970 LPRINT TAB(10); "DIAMETRO DE LA PARTICULA ( cm )...................="; DP
974 LPRINT TAB(10); "LONG. TOT. DE TUBERIA P/TMOS. RECTOS (FT).........="; LTR
976 LPRINT TAB(10); "LONG. EQ. TOT. P/ACCESORIOS (FT)..................="; LEQT
980 LPRINT TAB(10); STRING$(70, 45)
990 LPRINT TAB(10); STRING$(70, 45)
1000 LPRINT TAB(15); "--------------R E S U L T A D O S---------------"
1002 LPRINT TAB(10); STRING$(70, 45)
1004 LPRINT TAB(10); STRING$(70, 45)
1010 LPRINT TAB(10); "NUMERO DE GALILEO................................="; NGA
1020 LPRINT TAB(10); "MUMERO DE REYNOLDS TERMINAL......................="; NRET
1030 LPRINT TAB(10); "VELOCIDAD TERMINAL ( cm/seg )....................="; VT
1040 LPRINT TAB(10); "No. DE FROUDE TERMINAL (Fr*).....................="; FRE1
1050 LPRINT TAB(10); "No. DE FROUDE DE LA PARTICULA ( Frp )............="; FRP
1060 LPRINT TAB(10); "FACTOR ADIMENSIONAL ( Xo ).......................="; X0
1070 LPRINT TAB(10); "FACTOR DE CAIDA DE PRESION ( X* )................="; XE
1080 LPRINT TAB(10); "CAIDA DE PRESION UNITARIA DEL SOLIDO (DINAS/cm^3)......="; DPP
1085 LPRINT TAB(10); "FACTOR -A- DE CHURCHILL................................="; A
1086 LPRINT TAB(10); "FACTOR -B- DE CHURCHILL................................="; B
1087 LPRINT TAB(10); "NUMERO DE REYNOLDS (USADO EN EL M. DE CHURCHILL).......="; NRE
1090 LPRINT TAB(10); "FACTOR DE FRICCION DE CHURCHILL........................="; F
1100 LPRINT TAB(10); "CAIDA DE PRESION UNITARIA DEL FLUIDO (DINAS/cm^3)......="; DPF
1110 LPRINT TAB(10); "CAIDA DE PRESION UNITARIA DE LA SUSPENSION (D/cm^3)....="; DPUNO
1120 LPRINT TAB(10); STRING$(70, 45)
1130 LPRINT TAB(10); STRING$(70, 45)
1140 LPRINT TAB(10); "--------------- UNIDADES  INGLESAS ---------------"
1150 LPRINT TAB(10); STRING$(70, 45)
1160 LPRINT TAB(10); STRING$(70, 45)
1170 LPRINT TAB(10); "CAIDA DE PRESION DE LA SUSPENSION (PSI/100 FT)......="; DP100
1180 LPRINT TAB(10); "CAIDA DE PRESION POR TMOS. RECTOS (PSI).............="; DPTR
1190 LPRINT TAB(10); "CAIDA DE PRESION POR ACCESORIOS (PSI)...............="; DPLD
1200 LPRINT TAB(10); "CAIDA DE PRESION TOTAL (TMOS. RECTOS + ACCS.).......="; DPT
1210 LOCATE 10, 15: PRINT "SELECCIONE......"
1220 LOCATE 12, 15: PRINT "1.- PARA SALIR DEL PROGRAMA"
1230 LOCATE 14, 15: PRINT "2.- PARA CORRERLO NUEVAMENTE"
1240 LOCATE 16, 25: INPUT "SELECCION.......="; CL
1250 CLS
1260    IF CL = 1 THEN GOTO 1320
1270    IF CL = 2 THEN GOTO 50
1280 LOCATE 10, 15: PRINT "SELECCION ERRONEA, DEFINA NUEVAMENTE"
1290    FOR X = 1 TO 25000: NEXT X
1300 CLS
1310    GOTO 1210
1320 END





