3 CLS
4 CLEAR
5 LOCATE 10, 25: PRINT "   AISLAMIENTO TERMICO   "
6       FOR X = 1 TO 25000: NEXT X
8 CLS
9 LOCATE 8, 20: PRINT "INTRODUZCA LOS SIGUIENTES PARAMETROS....."
10 LOCATE 10, 20: INPUT "TEMPERATURA DEL FLUIDO EN EL TUBO T1 (F)........="; T1
15 LOCATE 12, 20: INPUT "TEMPERATURA AMBIENTE, T3 (F), EJEM. 70 F........="; T3
20 LOCATE 14, 20: INPUT "DIAMETRO NOMINAL DEL TUBO (FT)..................="; D1
30 LOCATE 16, 20: INPUT "FACTOR -F- (0.03 - 0.05)........................="; F
35 CLS
40 LOCATE 5, 25: PRINT "SELECCIONE....."
45 LOCATE 10, 20: PRINT "1.-P/LA CONDUCTIVIDAD TERM. DEL SILICATO DE CALCIO"
47 LOCATE 12, 20: PRINT "2.-P/LA COND. TERMICA DE LA FIBRA DE VIDRIO"
48 LOCATE 14, 20: PRINT "3.-P/LA CONDUCTIVIDAD TERMICA DE OTRO MATERIAL"
49 LOCATE 20, 25: INPUT "SELECCION.....="; CL
50      IF CL = 2 THEN GOTO 130
55      IF CL = 3 THEN GOTO 175
60      K1 = (T1 + T3) / 2
70      K2 = 3.33 * (10 ^ (-2))
80      K3 = 8.75 * (10 ^ (-6))
90      K4 = 2.38 * (10 ^ (-8))
100     KCS = K2 + (K3 * K1) + (K4 * (K1 ^ 2))
110     KI = KCS
120     GOTO 190
130     K1 = (T1 + T3) / 2
140     K2 = 1.25 * (10 ^ (-2))
150     K3 = 3.95 * (10 ^ (-11))
160     KFG = K2 + (K3 * ((K1 + 460) ^ 3))
170     KI = KFG
172     GOTO 190
175 CLS
176 LOCATE 10, 10: INPUT "INTRODUCIR LA COND. TERM. DEL MAT. A TEMP. PROM. ( BTU*FT/HR*FT^2*F )...="; KDIF
180     KI = KDIF
190 CLS
192     RP1 = .27 * (((T1 - T3) / D1) ^ .25)
200     RP2 = .154 * (10 ^ (-8))
210     RP3 = T1 + 990
220     RP4 = (T1 + 460) ^ 2
230     RP5 = (T3 + 460) ^ 2
240     IRP = RP1 + (RP2 * RP3 * (RP4 + RP5))
250     RP = 1 / IRP
260     F1 = (KI * RP) / F
265     R1 = D1 / 2
270     F2 = LOG(R1)
280     R2 = R1 + .5
290     FOR X = 1 TO 50
300     FR2 = (R2 * (LOG(R2))) - (R2 * F2) - F1
310     DFR2 = 1 + (LOG(R2)) - F2
320     R2N = R2 - (FR2 / DFR2)
330     IF (ABS(R2N - R2)) <= .0001 THEN GOTO 360
340     R2 = R2N
350     NEXT X
360     T = (R2N - R1) * 12
365     GOSUB 500
366 LPRINT TAB(10); "     D A T O S  G E N E R A L E S     "
368 LPRINT TAB(10); STRING$(70, 45)
369 LPRINT TAB(10); STRING$(70, 45)
370 LPRINT TAB(10); "TEMPERATURA DEL FLUIDO EN EL TUBO (F)..............="; T1
371 LPRINT TAB(10); "TEMPERATURA AMBIENTE (F)...........................="; T3
372 LPRINT TAB(10); "DIAMETRO DEL TUBO (FT).............................="; D1
373 LPRINT TAB(10); "FACTOR DE PERDIDAS DE ENERGIA (F)..................="; F
374 LPRINT TAB(10); STRING$(70, 45)
375 LPRINT TAB(10); STRING$(70, 45)
376 LPRINT TAB(10); "R E S U L T A D O S  G E N E R A L E S....."
377 LPRINT TAB(10); STRING$(70, 45)
378 LPRINT TAB(10); STRING$(70, 45)
379 LPRINT TAB(10); "COND. TERM. DEL MATERIAL SELECCIONADO..............="; KI
380 LPRINT TAB(10); "RESIST. TERMICA DEL TUBO SIN AISLANTE..............="; RP
390 LPRINT TAB(10); "VALOR DE ((KI*RP)/F)...............................="; F1
400 LPRINT TAB(10); "VALOR DE F(R2).....................................="; FR2
410 LPRINT TAB(10); "VALOR CALCULADO DE R2 (FT).........................="; R2N
411 LPRINT TAB(10); STRING$(70, 45)
412 LPRINT TAB(10); STRING$(70, 45)
413 LPRINT TAB(10); "RESULTADOS DEL ESPESOR DEL AISLAMIENTO....."
414 LPRINT TAB(10); STRING$(70, 45)
415 LPRINT TAB(10); STRING$(70, 45)
420 LPRINT TAB(10); "ESPESOR CALCULADO DEL AISLAMIENTO (IN).............="; T
430 LPRINT TAB(10); "ESPESOR NOMINAL DEL AISLAMIENTO (IN)...............="; TNOM
431 LPRINT TAB(10); STRING$(70, 45)
432 LPRINT TAB(10); STRING$(70, 45)
433 LPRINT TAB(10); "RESULTADOS DE LAS PERDIDAS DE ENERGIA....."
434 LPRINT TAB(10); STRING$(70, 45)
435 LPRINT TAB(10); STRING$(70, 45)
440 LPRINT TAB(10); "COEFICIENTE POR RADIACION (HR).....................="; HR
450 LPRINT TAB(10); "COEFICIENTE POR CONVECCION (HC)....................="; HC
460 LPRINT TAB(10); "COEF. POR RAD. Y CONVECCION (HI)...................="; HI
470 LPRINT TAB(10); "PERD. DE ENERGIA QT (BTU/HR-FT)....................="; QT
471 LPRINT TAB(10); STRING$(70, 45)
472 LPRINT TAB(10); STRING$(70, 45)
473 LPRINT TAB(10); "RESULTADO DE LA TEMPERATURA DE PARED....."
474 LPRINT TAB(10); STRING$(70, 45)
475 LPRINT TAB(10); STRING$(70, 45)
480 LPRINT TAB(10); "TEMP. EXTERIOR DEL AISLANTE, T2 (F)................="; T2N
490 END
500      IF T <= .5 THEN TNOM = .5: GOTO 580
505      IF T <= .75 THEN TNOM = .75: GOTO 580
510      IF T <= 1! THEN TNOM = 1: GOTO 580
520      I = 1
530      FOR X = 1 TO 10
540      IF T <= (I + .5) THEN TNOM = I + .5: GOTO 580
550      I = I + .5
560      NEXT X
570 CLS
572 LOCATE 10, 10: PRINT "ESPESOR DEL AISLANTE MAYOR A 6 PULGADAS....."
574      FOR X = 1 TO 25000: NEXT X
576 LPRINT TAB(10); "ESPESOR DEL AISLANTE MAYOR A 6 PULGADAS.....": END
580      D2 = 2 * ((TNOM / 12) + R1)
590      T2 = (T1 + T3) / 2
600      SIG = .171 * (10 ^ (-8))
610      C1 = (T2 + 460) + (T3 + 460)
620      C2 = ((T2 + 460) ^ 2) + ((T3 + 460) ^ 2)
630      HR = .9 * SIG * C1 * C2
640      C3 = (T2 - T3) ^ (.25)
650      C4 = D2 ^ (-.25)
660      HC = .27 * C3 * C4
670      HI = HC + HR
680      C5 = 1 / (3.1416 * D2 * HI)
690      C6 = LOG(D2 / D1)
700      C7 = 1 / (2 * 3.1416 * KI)
710      C8 = T1 - T3
720      QT = C8 / ((C7 * C6) + C5)
730      T2N = (QT / (HI * 3.1416 * D2)) + T3
740      IF (ABS(T2N - T2)) <= .25 THEN GOTO 770
750      T2 = T2N
760      GOTO 610
770      RETURN





