10 CLS
20 LOCATE 10, 10: PRINT "        CALCULO DE COMPRESORES        "
30      FOR X = 1 TO 25000: NEXT X
40 CLS
50 CLEAR
90      SUMYMW = 0
100     SUMYCP = 0
120 LPRINT TAB(10); "        DATOS DE ENTRADA       "
130 LPRINT TAB(10); STRING$(70, 45)
140 LPRINT TAB(10); STRING$(70, 45)
150 LOCATE 8, 10: INPUT "DEFINA EL NUMERO DE COMPONENTES EN LA MEZCLA...="; I
152     DIM Y(I), MW(I), CPL(I), CP(I), TCK(I), PC(I), WS(I)
160 CLS
170 LPRINT TAB(10); "NUMERO DE COMPONENTES EN LA MEZCLA.....="; I
180 LPRINT TAB(10); STRING$(70, 45)
190 LPRINT TAB(10); STRING$(70, 45)
200 LPRINT TAB(10); "CONDICIONES DE OPERACION....."
210 LPRINT TAB(10); STRING$(70, 45)
220 LPRINT TAB(10); STRING$(70, 45)
230 LOCATE 8, 10: PRINT "INTRODUZCA LAS SIGUIENTES COND. DE OPERACION..."
240 LOCATE 10, 10: INPUT "FLUJO DE GAS A COMPRIMIR (LB/HR)......="; W1
250 LPRINT TAB(10); "FLUJO DE GAS A COMPRIMIR (LB/HR)...........="; W1
260 LOCATE 12, 10: INPUT "TEMPERATURA DE SUCCION (F)............="; T1F
270 LPRINT TAB(10); "TEMPERATURA DE SUCCION (F).................="; T1F
280 LOCATE 14, 10: INPUT "PRESION DE SUCCION (PSIA).............="; P1L
290 LPRINT TAB(10); "PRESION DE SUCCION (PSIA)..................="; P1L
300 LOCATE 16, 10: INPUT "PRESION DE DESCARGA (PSIA)............="; P2L
310 LPRINT TAB(10); "PRESION DE DESCARGA (PSIA).................="; P2L
320 LOCATE 18, 10: INPUT "EFICIENCIA POLITROPICA................="; EP
330 LPRINT TAB(10); "EFICIENCIA POLITROPICA.....................="; EP
340 LOCATE 20, 10: INPUT "EFICIENCIA ADIABATICA.................="; EAD
350 LPRINT TAB(10); "EFICIENCIA ADIABATICA......................="; EAD
360 CLS
362     GOSUB 2000
365     Z1 = ZN
380 LPRINT TAB(10); STRING$(70, 45)
390 LPRINT TAB(10); STRING$(70, 45)
400 LPRINT TAB(10); " PESOS MOLECULARES Y CAPS. CAL. DE C/COMP."
410 LPRINT TAB(10); STRING$(70, 45)
420 LPRINT TAB(10); STRING$(70, 45)
422 CLS
424 LOCATE 12, 15: PRINT "INICIA RUTINA PARA CALCULAR EXPONENTES ( n Y k )"
426     FOR X = 1 TO 25000: NEXT X
427 CLS
428     II = 0
430     FOR X = 1 TO I
435     II = II + 1
440 LOCATE 8, 10: INPUT "FRACCION MOL DEL I-ESIMO COMPONENTE...="; Y(I)
460 LOCATE 10, 10: INPUT "PESO MOLECULAR DEL I-ESIMO COMP........="; MW(I)
470 LPRINT TAB(10); "PESO MOLECULAR DEL COMP......("; II; ").............="; MW(I)
480 LOCATE 12, 10: INPUT "CAP. CAL. (BTU/LB-F),I-ESIMO COMP......="; CPL(I)
490 LPRINT TAB(10); "CAP. CAL (BTU/LB-F),DEL COMP.("; II; ").............="; CPL(I)
500 CLS
510     SUMYMW = SUMYMW + (Y(I) * MW(I))
520     CP(I) = CPL(I) * 4.2
530     SUMYCP = SUMYCP + (Y(I) * CP(I))
540     NEXT X
550     MWM = SUMYMW
560     CPM = SUMYCP
570     K = CPM / (CPM - 8.314)
580     CTE = (K / (K - 1)) * EP
590     N = (-CTE) / (1 - CTE)
600     W = .454 * W1
610     T1 = ((T1F - 32) / 1.8) + 273
620     P1 = P1L / 14.5
630     P2 = P2L / 14.5
640 LOCATE 8, 10: PRINT "SELECCIONE....."
650 LOCATE 10, 10: PRINT "1.-PARA UNA COMPRESION POLITROPICA"
660 LOCATE 12, 10: PRINT "2.-PARA UNA COMPRESION ADIABATICA"
670 LOCATE 14, 10: INPUT "SELECCION.....="; CL1
680 CLS
690     IF CL1 = 1 THEN GOTO 730
700     IF CL1 = 2 THEN GOTO 890
710     GOSUB 1850
720     GOTO 640
730     T2N = T1 / ((P1 / P2) ^ ((N - 1) / N))
740     T2 = T2N
750     TK = T2
760     P = P2L / 14.7
770     GOSUB 2270
775     Z2 = ZN
790 CLS
800     ZAVG = (Z1 + Z2) / 2
810     RC = P2 / P1
820     HCP1 = (8.314 * ZAVG * T1) / MWM
830     HCP2 = (N / (N - 1))
840     HCP3 = (RC ^ ((N - 1) / N)) - 1
850     HCP = HCP1 * HCP2 * HCP3
860     T2C = (((HCP * MWM) / (ZAVG * 8.314)) * ((N - 1) / N)) + (T1 - 273)
870     T2N = T2C + 273
880     GOTO 1030
890     T2N = T1 / ((P1 / P2) ^ ((N - 1) / N))
900     T2 = T2N
910     TK = T2
920     P = P2L / 14.7
930     GOSUB 2270
935     Z2 = ZN
950 CLS
960     ZAVG = (Z1 + Z2) / 2
970     RC = P2 / P1
980     HAD1 = (8.314 * ZAVG * T1) / MWM
990     HAD2 = K / (K - 1)
1000    HAD3 = (RC ^ ((K - 1) / K)) - 1
1010    HAD = HAD1 * HAD2 * HAD3
1020    T2N = T1 * (RC ^ ((K - 1) / K))
1030    IF (ABS(T2 - T2N)) <= 1! THEN GOTO 1070
1040    T2 = T2N
1050    IF CL1 = 1 THEN GOTO 750
1060    GOTO 910
1070    IF CL1 = 1 THEN GOTO 1090
1080    IF CL1 = 2 THEN GOTO 1160
1090    WP1 = N / (N - 1)
1100    WP2 = (Z1 * 8.314 * T1) / MWM
1110    WP3 = (RC ^ ((N - 1) / N)) - 1
1120    WP = WP1 * WP2 * WP3
1130    WPAC = WP / EP
1140    PWR = (WPAC * W) / 3600
1150    GOTO 1220
1160    WAD1 = K / (K - 1)
1170    WAD2 = (Z1 * 8.314 * T1) / MWM
1180    WAD3 = (RC ^ ((K - 1) / K)) - 1
1190    WAD = WAD1 * WAD2 * WAD3
1200    WADAC = WAD / EAD
1210    PWR = (WADAC * W) / 3600
1220    IF PWR > 2500 THEN GOTO 1250
1230    PTR = 1.03 * PWR
1240    GOTO 1320
1250    IF PWR > 5000 THEN GOTO 1280
1260    PTR = 1.025 * PWR
1270    GOTO 1320
1280    IF PWR > 7500 THEN GOTO 1310
1290    PTR = 1.02 * PWR
1300    GOTO 1320
1310    PTR = 1.015 * PWR
1320    PHP = PTR * .7457
1330 LPRINT TAB(10); STRING$(70, 45)
1340 LPRINT TAB(10); STRING$(70, 45)
1350 LPRINT TAB(10); " ...........R E S U L T A D O S............"
1360 LPRINT TAB(10); STRING$(70, 45)
1370 LPRINT TAB(10); STRING$(70, 45)
1380    IF CL1 = 1 THEN GOTO 1560
1390 LPRINT TAB(10); "............COMPRESION ADIABATICA"
1400 LPRINT TAB(10); STRING$(70, 45)
1410 LPRINT TAB(10); STRING$(70, 45)
1411 LPRINT TAB(10); "FACTOR DE COMPRESIBILIDAD A LA SUCCION (Z1)="; Z1
1412 LPRINT TAB(10); "TEMPERATURA CRITICA (K) DE LA MEZCLA.......="; STCK
1414 LPRINT TAB(10); "PRESION CRITICA DE LA MEZCLA (ATM).........="; SPC1
1416 LPRINT TAB(10); "FACTOR ACENTRICO DE LA MEZCLA..............="; SWS
1420 LPRINT TAB(10); "PESO MOLECULAR DE LA MEZCLA................="; MWM
1430 LPRINT TAB(10); "CAP. CAL. DE LA MEZCLA (KJ/KG-K)...........="; CPM
1440 LPRINT TAB(10); "EXPONENTE ADIABATICO (k)...................="; K
1450 LPRINT TAB(10); "TEMPERATURA DE DESCARGA (K)................="; T2N
1460 LPRINT TAB(10); "FACT. DE COMP. A LA DESCARGA (Z2)..........="; Z2
1470 LPRINT TAB(10); "FACT. DE COMP. PROMEDIO ( (Z2+Z1)/2 )......="; ZAVG
1480 LPRINT TAB(10); "RELACION DE COMPRESION (Rc)................="; RC
1490 LPRINT TAB(10); "CARGA ADIABATICA (KJ/KG)...................="; HAD
1500 LPRINT TAB(10); "TRABAJO ADIABATICO REQUERIDO (KJ/KG).......="; WAD
1510 LPRINT TAB(10); "TRABAJO AD. ACTUAL (KJ/KG),Wad/Ead.........="; WADAC
1520 LPRINT TAB(10); "POTENCIA ADIABATICA REQUERIDA (KW).........="; PWR
1530 LPRINT TAB(10); "POTENCIA AD.TOT.REQ.(KW),INCLUYE PERDIDAS MECANICAS...="; PTR
1540 LPRINT TAB(10); "POTENCIA AD.TOT.REQ.(HP),INCLUYE PERDIDAS MECANICAS...="; PHP
1542 LPRINT TAB(10); STRING$(70, 45)
1544 LPRINT TAB(10); STRING$(70, 45)
1550    GOTO 1730
1560 LPRINT TAB(10); ".................COMPRESION POLITROPICA"
1570 LPRINT TAB(10); STRING$(70, 45)
1580 LPRINT TAB(10); STRING$(70, 45)
1581 LPRINT TAB(10); "FACTOR DE COMP. A LA SUCCION (Z1).........="; Z1
1582 LPRINT TAB(10); "TEMPERATURA CRITICA (K) DE LA MEZCLA......="; STCK
1584 LPRINT TAB(10); "PRESION CRITICA DE LA MEZCLA (ATM)........="; SPC1
1586 LPRINT TAB(10); "FACTOR ACENTRICO DE LA MEZCLA.............="; SWS
1590 LPRINT TAB(10); "PESO MOLECULAR DE LA MEZCLA...............="; MWM
1600 LPRINT TAB(10); "CAP. CAL. DE LA MEZCLA (KJ/KG-K)..........="; CPM
1610 LPRINT TAB(10); "EXPONENTE POLITROPICO (n).................="; N
1620 LPRINT TAB(10); "TEMPERATURA DE DESCARGA (K)...............="; T2N
1630 LPRINT TAB(10); "FACTOR DE COMPRESIBILIDAD A LA DESC (Z2)..="; Z2
1640 LPRINT TAB(10); "FACTOR DE COMPRESIB. PROM. ((Z1+Z2)/2)....="; ZAVG
1650 LPRINT TAB(10); "RELACION DE COMPRESION (Rc)...............="; RC
1660 LPRINT TAB(10); "CARGA POLITROPICA (KJ/KG).................="; HCP
1670 LPRINT TAB(10); "TRABAJO POLITROPICO REQUERIDO (KJ/KG).....="; WP
1680 LPRINT TAB(10); "TRABAJO POL. REQ. ACT. (KJ/KG),Wp/Ep......="; WPAC
1690 LPRINT TAB(10); "POTENCIA POLITROPICA REQUERIDA (KW).......="; PWR
1700 LPRINT TAB(10); "POT.POL.TOT.REQ.(KW),INCLUYE PERDIDAS MECANICAS......="; PTR
1710 LPRINT TAB(10); "POT.POL.TOT.REQ.(HP),INCLUYE PERDIDAS MECANICAS......="; PHP
1712 LPRINT TAB(10); STRING$(70, 45)
1714 LPRINT TAB(10); STRING$(70, 45)
1730 LOCATE 8, 10: PRINT "SELECCIONE....."
1740 LOCATE 10, 10: PRINT "1.-PARA REINICIAR PROGRAMA"
1750 LOCATE 12, 10: PRINT "2.-PARA UNA NUEVA SELECCION (COMP.POLITROPICA O COMPRESION ADIABATICA)"
1760 LOCATE 14, 10: PRINT "3.-PARA SALIR DEL PROGRAMA"
1770 LOCATE 16, 10: INPUT "SELECCION.....="; CL2
1780 CLS
1790    IF CL2 = 1 THEN GOTO 10
1800    IF CL2 = 2 THEN GOTO 640
1810    IF CL2 = 3 THEN GOTO 1840
1820    GOSUB 1850
1830    GOTO 1730
1840    END
1850 LOCATE 10, 10: PRINT "SELECCION ERRONEA ,DEFINALA NUEVAMENTE"
1860    FOR X = 1 TO 25000: NEXT X
1870 CLS
1880    RETURN
2000    LOCATE 12, 15: PRINT "INICIA RUTINA PARA CALCULAR EL FACTOR DE COMPRESIBILIDAD"
2002    FOR X = 1 TO 25000: NEXT X
2004 CLS
2006    SUMTCK = 0
2010    SUMPC = 0
2020    SUMWS = 0
2040    II = 0
2041 LPRINT TAB(10); STRING$(70, 45)
2042 LPRINT TAB(10); STRING$(70, 45)
2043 LPRINT TAB(10); "FRACCIONES MOL, TEMP. C., PRES. C. Y FACT.AC. DE C/COMP."
2044 LPRINT TAB(10); STRING$(70, 45)
2045 LPRINT TAB(10); STRING$(70, 45)
2050    FOR X = 1 TO I
2060    II = II + 1
2070 LOCATE 8, 10: INPUT "FRACCION MOL DEL I-ESIMO COMPONENTE........="; Y(I)
2075 LPRINT TAB(10); "FRACCION MOL DEL COMP.......("; II; ")..........="; Y(I)
2080 LOCATE 10, 10: INPUT "TEMP. CRITICA (K) DEL I-ESIMO COMP.........="; TCK(I)
2085 LPRINT TAB(10); "TEMP. CRITICA (K) DEL COMP..("; II; ")..........="; TCK(I)
2090 LOCATE 12, 10: INPUT "PRESION CRITICA (ATM) DEL I-ESIMO COMP.....="; PC(I)
2095 LPRINT TAB(10); "PRESION C. (ATM) DEL COMP...("; II; ")..........="; PC(I)
2100 LOCATE 14, 10: INPUT "FACTOR ACENTRICO DEL I-ESIMO COMP..........="; WS(I)
2105 LPRINT TAB(10); "FACT. ACENT. DEL COMP.......("; II; ")..........="; WS(I)
2110 CLS
2120    SUMTCK = SUMTCK + (Y(I) * TCK(I))
2130    SUMPC = SUMPC + (Y(I) * PC(I))
2140    SUMWS = SUMWS + (Y(I) * WS(I))
2150    NEXT X
2160    STCK = SUMTCK
2170    SPC1 = SUMPC
2180    SWS = SUMWS
2190    TK = ((T1F - 32) / 1.8) + 273
2200    P = P1L / 14.7
2210    R2 = 82.05
2220    CF1 = .42747
2230    CF2 = .08664
2240    CF3 = .48508
2250    CF4 = 1.55171
2260    CF5 = -.15613
2270    ACI = CF1 * (((R2 ^ 2) * (STCK ^ 2)) / SPC1)
2280    BCI = (CF2 * R2 * STCK) / SPC1
2290    MKI = CF3 + (CF4 * SWS) + (CF5 * (SWS ^ 2))
2300    AFI = (1 + (MKI * (1 - ((TK / STCK) ^ .5)))) ^ 2
2310    ADT = ACI * AFI
2320    APS = (ADT * P) / ((R2 ^ 2) * (TK ^ 2))
2330    BPS = (BCI * P) / (R2 * TK)
2340    DPS = (MKI * ADT) * (((TK / STCK) / AFI) ^ .5)
2350    Z = 1.5
2370    FZ1 = (Z ^ 3) - (Z ^ 2)
2380    FZ2 = (APS - BPS - (BPS ^ 2)) * Z
2390    FZ3 = -(APS * BPS)
2400    FZ = FZ1 + FZ2 + FZ3
2410    FDZ1 = (3 * (Z ^ 2)) - (2 * Z)
2420    FDZ2 = (APS - BPS - (BPS ^ 2))
2430    FDZ = FDZ1 - FDZ2
2440    ZN = Z - (FZ / FDZ)
2450    IF (ABS(ZN - Z)) <= .0000001# THEN GOTO 2480
2460    Z = ZN
2470    GOTO 2370
2480    RETURN





