5 CLS
10 LOCATE 10, 10: PRINT "               SEPARADORES LIQUIDO-VAPOR              "
20      FOR X = 1 TO 25000: NEXT X
30 CLS
40 CLEAR
50 LOCATE 6, 10: PRINT "INTRODUZCA LOS  DATOS SIGUIENTES...."
60 LOCATE 8, 10: INPUT "FLUJO MOLAR DEL VAPOR (MOLES/HR)............="; N1
70 LOCATE 10, 10: INPUT "PESO MOLECULAR DEL VAPOR...................="; M
80 LOCATE 12, 10: INPUT "DENSIDAD DEL LIQUIDO (LB/FT^3).............="; RHOL
90 LOCATE 14, 10: INPUT "TEMPERATURA DE OPERACION (F)...............="; T1
100 LOCATE 16, 10: INPUT "PRESION DE OPERACION (PSIG)...............="; PG
110 LOCATE 18, 10: INPUT "PRESION ATMOSFERICA  (PSIA)...............="; PA
120 LOCATE 20, 10: INPUT "FACTOR DE COMPRESIBILIDAD DEL VAPOR.......="; Z
125 CLS
140     P = PG + PA
150     R = 10.73
160     T = T1 + 460
170     N = N1 * (1 / 3600)
180     V = (N * R * T * Z) / P
190     RHOV = (P * M) / (R * T * Z)
200 LOCATE 8, 10: PRINT "SELECCIONE....."
210 LOCATE 10, 10: PRINT "1.-PARA EL CALCULO DE UN SEPARADOR VERTICAL"
220 LOCATE 12, 10: PRINT "2.-PARA EL CALCULO DE UN SEPARADOR HORIZONTAL"
230 LOCATE 14, 10: INPUT "SELECCION.....="; CL1
235 CLS
240     IF CL1 = 1 THEN GOTO 280
250     IF CL1 = 2 THEN GOTO 920
260     GOSUB 2250
270     GOTO 200
280     KP = .227
290     UT = KP * (((RHOL - RHOV) / RHOV) ^ (1 / 2))
300 LOCATE 8, 10: PRINT "SELECCIONE....."
310 LOCATE 10, 10: PRINT "1.- SEPARADOR SIN DEMISTER"
320 LOCATE 12, 10: PRINT "2.- SEPARADOR CON DEMISTER"
330 LOCATE 14, 10: INPUT "SELECCION.....="; CL2
340 CLS
350     IF CL2 = 1 THEN GOTO 390
360     IF CL2 = 2 THEN GOTO 430
370     GOSUB 2250
380     GOTO 300
390     UA = .15 * UT
400     AD = V / UA
410     D1 = ((4 * AD) / 3.1416) ^ (1 / 2)
420     GOTO 450
430     AT = V / UT
440     D1 = ((4 * AT) / 3.1416) ^ (1 / 2)
450     D = CLNG(D1 + .5)
460 LOCATE 8, 10: PRINT "INTRODUZCA LOS DATOS SIGUIENTES....."
470 LOCATE 10, 10: INPUT "FLUJO DEL LIQUIDO (GPM)............="; Q
480 LOCATE 12, 10: INPUT "TIEMPO DE RESIDENCIA (MIN).........="; TR
490 CLS
500     IF CL2 = 1 THEN GOTO 520
510     IF CL2 = 2 THEN GOTO 550
520     AD = ((D ^ 2) * 3.1416) / 4
530     L1 = (Q * .1334 * TR) / AD
540     GOTO 570
550     AT = (3.1416 / 4) * (D ^ 2)
560     L1 = (Q * .1334 * TR) / AT
570     K1 = .5 * D
580     IF K1 >= 2 THEN GOTO 610
590     L2 = 2
600     GOTO 620
610     L2 = K1
620     IF D >= 3 THEN GOTO 650
630     L3 = 3
640     GOTO 660
650     L3 = D
660     L4 = 1.25
665     L5 = L3 + L4
670     LT1 = L1 + L2 + L3 + L4
680     LT = CLNG(LT1 + .25)
690 LPRINT TAB(10); "RESULTADOS PARA EL SEPARADOR VERTICAL"
692 LPRINT TAB(10); STRING$(70, 45)
694 LPRINT TAB(10); STRING$(70, 45)
700     IF CL2 = 1 THEN GOTO 720
710 LPRINT TAB(10); ".........CALCULADO CON DEMISTER..........."
715     GOTO 730
720 LPRINT TAB(10); ".........CALCULADO SIN DEMISTER..........."
730 LPRINT TAB(10); STRING$(70, 45)
740 LPRINT TAB(10); STRING$(70, 45)
750     GOSUB 2165
760 LPRINT TAB(10); STRING$(70, 45)
770 LPRINT TAB(10); STRING$(70, 45)
780 LPRINT TAB(10); "         RESULTADOS GENERALES            "
790 LPRINT TAB(10); STRING$(70, 45)
800 LPRINT TAB(10); STRING$(70, 45)
810     IF CL2 = 2 THEN GOTO 870
820 LPRINT TAB(10); "VEL. PERMISIBLE DEL VAPOR, Ua(FT/SEG)...................="; UA
825 LPRINT TAB(10); "FLUJO DEL VAPOR (FT^3/SEG)..............................="; V
830 LPRINT TAB(10); "AREA DE LA SECCION TRANSVERSAL DEL SEP.(FT^2)...........="; AD
835 LPRINT TAB(10); "DENSIDAD DEL VAPOR (LB/FT^3)............................="; RHOV
840 LPRINT TAB(10); "DIAMETRO DEL SEPARADOR (FT).............................="; D
842 LPRINT TAB(10); "ALTURA DE LIQUIDO (FT), L1..............................="; L1
844 LPRINT TAB(10); "SEP.ENTRE ALT. DE LIQ. Y ENT. AL EQ. (FT), L2...........="; L2
846 LPRINT TAB(10); "SEP. ENTRE LA ENT. AL EQ. Y LA TGTE. DE LA TAPA (FT), L5..="; L5
850 LPRINT TAB(10); "LONGITUD TOT.( L1+L2+L5) DEL SEPARADOR (FT)...............="; LT
860     GOTO 2280
870 LPRINT TAB(10); "VEL. TERMINAL DEL VAPOR,Ut(FT/SEG)......................="; UT
872 LPRINT TAB(10); "FLUJO DEL VAPOR (FT^3/SEG)..............................="; V
874 LPRINT TAB(10); "DENSIDAD DEL VAPOR (LB/FT^3)............................="; RHOV
880 LPRINT TAB(10); "AREA DE LA SECCION TRANSVERSAL DEL SEP.(FT^2)...........="; AT
890 LPRINT TAB(10); "DIAMETRO DEL SEPARADOR (FT).............................="; D
892 LPRINT TAB(10); "ALTURA; DEL; LIQUIDO(FT), L1............................="; L1
894 LPRINT TAB(10); "SEP. ENTRE ALT. DEL LIQ. Y LA ENTRADA AL EQ. (FT), L2...="; L2
896 LPRINT TAB(10); "SEP. ENTRE LA ENT. AL EQ. Y EL L. BAJO DEL DEMISTER (FT),L3..="; L3
898 LPRINT TAB(10); "SEP. ENTRE L.BAJO DEL DEMISTER Y LA TGTE. DE LA TAPA (FT),L4.="; L4
900 LPRINT TAB(10); "LONGITUD TOT DEL SEPARADOR (L1+L2+L3+L4), FT.................="; LT
910     GOTO 2280
920     IF PG > 250 THEN GOTO 950
930     LD = 3
940     GOTO 990
950     IF PG > 500 THEN GOTO 980
960     LD = 4
970     GOTO 990
980     LD = 5
990 LOCATE 8, 10: PRINT "SELECCIONE....."
1000 LOCATE 10, 10: PRINT "1.-PARA DISEO DEL SEPARADOR POR VELS. PERMISIBLES"
1010 LOCATE 12, 10: PRINT "2.-PARA DISEO DEL SEPARADOR  POR TIEMPO DE RESIDENCIA"
1020 LOCATE 14, 10: INPUT "SELECCION.....="; CL3
1030 CLS
1040    IF CL3 = 1 THEN GOTO 1080
1050    IF CL3 = 2 THEN GOTO 1530
1060    GOSUB 2250
1070    GOTO 990
1080 LOCATE 8, 10: PRINT "SELECCIONE...."
1090 LOCATE 10, 10: PRINT "1.-CALCULO DEL SEPARADOR SIN DEMISTER"
1100 LOCATE 12, 10: PRINT "2.-CALCULO DEL SEPARADOR CON DEMISTER"
1110 LOCATE 14, 10: INPUT "SELECCION.....="; CL4
1120 CLS
1130    IF CL4 = 1 THEN GOTO 1170
1140    IF CL4 = 2 THEN GOTO 1230
1150    GOSUB 2250
1160    GOTO 1080
1170    KP = .227
1180    UT = (((RHOL - RHOV) / RHOV) ^ (1 / 2))
1190    UA = .15 * UT * KP
1200    D1 = (V / (LD * (3.1416 / 4) * UA)) ^ (1 / 2)
1210    D = CLNG(D1 + .5)
1215    LT = LD * D
1220    GOTO 1270
1230    KP = .227
1240    UT = (((RHOL - RHOV) / RHOV) ^ (1 / 2)) * KP
1250    D1 = (V / (LD * (3.1416 / 4) * UT)) ^ (1 / 2)
1260    D = CLNG(D1 + .5)
1265    LT = LD * D
1270 LPRINT TAB(10); "RESULTADOS PARA EL SEPARADOR HORIZONTAL"
1272 LPRINT TAB(10); STRING$(70, 45)
1274 LPRINT TAB(10); STRING$(70, 45)
1280    IF CL4 = 2 THEN GOTO 1310
1290 LPRINT TAB(10); ".........CALCULADO SIN DEMISTER........."
1300    GOTO 1320
1310 LPRINT TAB(10); ".........CALCULADO CON DEMISTER........."
1320 LPRINT TAB(10); STRING$(70, 45)
1330 LPRINT TAB(10); STRING$(70, 45)
1340    GOSUB 2165
1350 LPRINT TAB(10); STRING$(70, 45)
1360 LPRINT TAB(10); STRING$(70, 45)
1370 LPRINT TAB(10); "          RESULTADOS GENERALES           "
1380 LPRINT TAB(10); STRING$(70, 45)
1390 LPRINT TAB(10); STRING$(70, 45)
1400    IF CL4 = 2 THEN GOTO 1470
1410 LPRINT TAB(10); "FACTOR K..............................="; KP
1420 LPRINT TAB(10); "VEL. PERMISIBLE DEL VAPOR (FT/SEG).....="; UA
1422 LPRINT TAB(10); "FLUJO DEL VAPOR (FT^3/SEG).............="; V
1424 LPRINT TAB(10); "DENSIDAD DEL VAPOR (LB/FT^3)...........="; RHOV
1430 LPRINT TAB(10); "DIAMETRO DEL SEPARADOR (FT)............="; D
1440 LPRINT TAB(10); "LONGITUD DEL SEPARADOR (FT)............="; LT
1450 LPRINT TAB(10); "RELACION L/D...........................="; LD
1460    GOTO 2280
1470 LPRINT TAB(10); "FACTOR K..............................="; KP
1480 LPRINT TAB(10); "VELOCIDAD TERMINAL (FT/SEG)............="; UT
1482 LPRINT TAB(10); "FLUJO DEL VAPOR (FT^3/SEG).............="; V
1484 LPRINT TAB(10); "DENSIDAD DEL VAPOR (LB/FT^3)...........="; RHOV
1490 LPRINT TAB(10); "DIAMETRO DEL SEPARADOR (FT)............="; D
1500 LPRINT TAB(10); "LONGITUD DEL SEPARADOR (FT)............="; LT
1510 LPRINT TAB(10); "RELACION L/D...........................="; LD
1520    GOTO 2280
1530 LOCATE 8, 10: PRINT "ESTE CALCULO ESTA DESARROLLADO SOLO PARA EL SEPARADOR SIN DEMISTER"
1532    FOR X = 1 TO 25000: NEXT X
1534 CLS
1540 LOCATE 10, 10: PRINT "INTRODUZCA LOS DATOS SIGUIENTES....."
1550 LOCATE 12, 10: INPUT "TIEMPO DE RESIDENCIA (MIN).........="; THI
1560 LOCATE 14, 10: INPUT "FLUJO DEL LIQUIDO (GPM)............="; Q
1570 CLS
1575    THK = 1.2 * THI
1580    Q1 = Q * .1334
1590    FAL = .5
1600    TH = THI
1610    D = ((TH * Q1) / (LD * (3.1416 / 4) * FAL)) ^ (1 / 3)
1620    LT = LD * D
1630    TH = ((3.1416 / 4) * (D ^ 2) * FAL * LT) / Q1
1640    IF TH >= THI THEN GOTO 1680
1650    D1 = D + (1.65 * (10 ^ (-3)))
1660    FAV = 1 - FAL
1670    GOTO 1710
1680    IF TH <= THK THEN GOTO 1980
1690    D1 = D - (1.65 * (10 ^ (.3)))
1700    FAV = 1 - FAL
1710    FAL = FAV
1720    IF FAL <= .1955 THEN GOTO 1790
1730    IF FAL <= .5 THEN GOTO 1830
1740    IF FAL <= .8045 THEN GOTO 1870
1750    A = -.2640642045#
1760    B = 1.238550229#
1770    HD = A + (B * FAL)
1780    GOTO 1900
1790    A = .029677318#
1800    B = 1.192829446#
1810    HD = A + (B * FAL)
1820    GOTO 1900
1830    A = 9.470692731# * (10 ^ -2)
1840    B = .8143747705#
1850    HD = A + (B * FAL)
1860    GOTO 1900
1870    A = 8.804411469# * (10 ^ -2)
1880    B = .8188396265#
1890    HD = A + (B * FAL)
1900    FHV1 = HD * D1
1910    IF TH >= THI THEN GOTO 1940
1920    FHV = FHV1 + (1.65 * (10 ^ (-3)))
1930    GOTO 1950
1940    FHV = FHV1 - (1.65 * (10 ^ (-3)))
1950    FAL = 1 - FHV
1960    D = D1
1970    GOTO 1620
1980 LPRINT TAB(10); "RESULTADOS PARA EL SEPARADOR HORIZONTAL, CALCULADO POR TIEMPO DE RESIDENCIA"
1990 LPRINT TAB(10); STRING$(70, 45)
2000 LPRINT TAB(10); STRING$(70, 45)
2010    GOSUB 2165
2020 LPRINT TAB(10); "TIEMPO DE RESIDENCIA REQUERIDO (MINS)..............="; THI
2030 LPRINT TAB(10); "FLUJO DEL LIQUIDO (GPM)............................="; Q
2040 LPRINT TAB(10); STRING$(70, 45)
2050 LPRINT TAB(10); STRING$(70, 45)
2060 LPRINT TAB(10); "             RESULTADOS GENERALES              "
2070 LPRINT TAB(10); STRING$(70, 45)
2080 LPRINT TAB(10); STRING$(70, 45)
2090 LPRINT TAB(10); "FLUJO DEL LIQUIDO (FT^3/SEG)..................="; Q1
2100 LPRINT TAB(10); "TIEMPO DE RESIDENCIA,CALCULADO (MINS).........="; TH
2110 LPRINT TAB(10); "FACTOR (FAL)..................................="; FAL
2130 LPRINT TAB(10); "RELACION (h/D)................................="; HD
2140 LPRINT TAB(10); "DIAMETRO DEL SEPARADOR (FT)...................="; D
2150 LPRINT TAB(10); "LONGITUD DEL SEPARADOR (FT)...................="; LT
2160    GOTO 2280
2165 LPRINT TAB(10); "    DATOS GENERALES DE ENTRADA       "
2166 LPRINT TAB(10); STRING$(70, 45)
2167 LPRINT TAB(10); STRING$(70, 45)
2170 LPRINT TAB(10); "FLUJO MOLAR DEL VAPOR (MOLES/HR).............="; N1
2180 LPRINT TAB(10); "PESO MOLECULAR DEL VAPOR.....................="; M
2190 LPRINT TAB(10); "DENSIDAD DEL LIQUIDO (LB/FT^3)...............="; RHOL
2200 LPRINT TAB(10); "TEMPERATURA DE OPERACION (F).................="; T1
2210 LPRINT TAB(10); "PRESION DE OPERACION (PSIG)..................="; PG
2220 LPRINT TAB(10); "PRESION ATMOSFERICA (PSIA)...................="; PA
2230 LPRINT TAB(10); "FACTOR DE COMPRESIBILIDAD -Z- ...............="; Z
2240    RETURN
2250 LOCATE 10, 10: PRINT "SELECCION ERRONEA, DEFINALA NUEVAMENTE"
2260    FOR X = 1 TO 25000: NEXT X
2270    RETURN
2280 LOCATE 8, 10: PRINT "SELECCIONE....."
2290 LOCATE 10, 10: PRINT "1.- PARA REINICIAR PROGRAMA."
2300 LOCATE 12, 10: PRINT "2.-PARA NUEVA SELECCION ENTRE SEP. VERT. Y HORIZONTAL."
2310 LOCATE 14, 10: PRINT "3.- PARA SALIR DEL PROGRAMA."
2320 LOCATE 16, 10: INPUT "SELECCION.....="; CL5
2330 CLS
2340    IF CL5 = 1 THEN GOTO 5
2350    IF CL5 = 2 THEN GOTO 200
2360    IF CL5 = 3 THEN GOTO 2390
2370    GOSUB 2250
2380    GOTO 2280
2390 LOCATE 10, 10: PRINT "          FIN DE PROGRAMA           "
2400    FOR X = 1 TO 25000: NEXT X
2410 CLS
2420 END








